Package com.databend.jdbc

# Class DatabendDriverUri

java.lang.Object
com.databend.jdbc.DatabendDriverUri

public final class DatabendDriverUri extends Object
Parses and extracts parameters from a databend JDBC URL

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`acceptsURL(String url)`
`String`
`binaryFormat()`
`Boolean`
`copyPurge()`
`static DatabendDriverUri`
`create(String url, Properties properties)`
`com.google.common.net.HostAndPort`
`getAddress()`
`Integer`
`getConnectionTimeout()`
`String`
`getDatabase()`
`Integer`
`getMaxRowsInBuffer()`
`Integer`
`getMaxRowsPerPage()`
`Properties`
`getProperties()`
`Integer`
`getQueryTimeout()`
`Integer`
`getSocketTimeout()`
`URI`
`getUri()`
`Integer`
`getWaitTimeSecs()`
`String`
`nullDisplay()`
`Boolean`
`presignedUrlDisabled()`
`void`
`setupClient(okhttp3.OkHttpClient.Builder builder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create

public static DatabendDriverUri create(String url, Properties properties) throws SQLException

Throws:
  `SQLException`

### acceptsURL

public static boolean acceptsURL(String url)

### getUri

public URI getUri()

### getDatabase

public String getDatabase()

### presignedUrlDisabled

public Boolean presignedUrlDisabled()

### copyPurge

public Boolean copyPurge()

### nullDisplay

public String nullDisplay()

### binaryFormat

public String binaryFormat()

### getConnectionTimeout

public Integer getConnectionTimeout()

### getQueryTimeout

public Integer getQueryTimeout()

### getSocketTimeout

public Integer getSocketTimeout()

### getWaitTimeSecs

public Integer getWaitTimeSecs()

### getMaxRowsInBuffer

public Integer getMaxRowsInBuffer()

### getMaxRowsPerPage

public Integer getMaxRowsPerPage()

### getAddress

public com.google.common.net.HostAndPort getAddress()

### getProperties

public Properties getProperties()

### setupClient

public void setupClient(okhttp3.OkHttpClient.Builder builder) throws SQLException

Throws:
  `SQLException`